import React from 'react'
import { Link } from 'react-router'

class ProjectList extends React.Component {
  render () {
    const { projectList } = this.props
    if (typeof projectList !== 'undefined' && projectList.length > 0) {
      return (
        <ul className='project-list scrollable'>
          {projectList.map((project, key) =>
            <li key={key}><Link to={`/project/${project.id}`}>{project.name}</Link></li>
          )}
        </ul>
      )
    } else {
      return (
        <p>No projects found.</p>
      )
    }
  }
}

export default ProjectList
