import React from 'react'

class EditRegistermap extends React.Component {
  constructor () {
    super()
    this.update = this.update.bind(this)
  }

  update () {
    const { registermap, actions } = this.props
    actions.updateRegistermap(registermap.id, {
      id: registermap.id,
      name: this.regmapName.value,
      description: this.regmapDescription.value,
      nrOfRegisters: this.regmapNrOfRegisters.value,
      bitsPerRegister: this.regmapBitsPerRegister.value,
      modes: this.regmapModes.value
    })
  }

  render () {
    const { registermap } = this.props
    console.log('Edit registermap', registermap)

    return (
      <form className='app-form'>
        <fieldset className='create-registermap-form-basic'>
          <button onClick={this.toggleExtended}>+</button>
          <input type='text' ref={input => { this.regmapName = input }} value={registermap.name} onChange={this.update} placeholder='Registermap Name' />
          <input type='text' ref={input => { this.regmapDescription = input }} value={registermap.description} onChange={this.update} placeholder='Description' />
        </fieldset>
        <fieldset className='create-registermap-form-extended'>
          <input type='text' ref={input => { this.regmapNrOfRegisters = input }} value={registermap.nrOfRegisters} onChange={this.update} placeholder='Number of registers' />
          <input type='text' ref={input => { this.regmapBitsPerRegister = input }} value={registermap.bitsPerRegister} onChange={this.update} placeholder='Bits per register' />
          <input type='text' ref={input => { this.regmapModes = input }} list='modes' value={registermap.modes} onChange={this.update} placeholder='modes' />
          <datalist id='modes'>
            <option value='GPS only'>GPS only</option>
            <option value='Multi GNSS'>Multi GNSS</option>
          </datalist>
          <button type='submit'>Save</button>
        </fieldset>
      </form>
    )
  }
}

export default EditRegistermap
